[Numpy-discussion] recompiling needed for binary module after numpy 1.0

Steve Lianoglou lists.steve at arachnedesign.net
Mon Jan 8 00:28:05 CST 2007


Hi,

> I have just completed installing ipython from source by running:
>
>    python setup.py install
>
> in a directory from which I downloaded ipython via subversion. That
> was pretty painless (this is my first such install of a relatively
> big program, BTW). If scipy, numpy and matplotlib could be just as
> painlessly derived, I'd give it a try.

Although I'm using a MacPorts build of Python2.4, I really don't  
think I did anything all that special to get numpy to install from  
source. It's as easy as your ipython install ... you just need to  
make sure you have the Apple dev tools installed (XCode -- it's on  
your OS X install discs and also downloadable from apple.com/ 
developer (free registration required)). XCode will provide you with  
the gcc compiler you need to compile numpy.

Installing scipy from source I think is also similarly easy, except  
that you need to make sure you d/l the fortran compiler from http:// 
hpc.sourceforge.net/ first.

I routinely svn up and compile both of these packages w/ no special  
maneuvering on my part ...

The install instructions on the wiki did the trick for me, though  
it's down at the moment: http://scipy.org/Installing_SciPy

I have it compiled and working on both an Intel MBP, and a G4 tower  
(both 32bit). My GTK and wx widgets, etc. are also all installed from  
macports, and my matplotlib backend is set to GTKAgg.

I admittedly haven't followed this thread, so I don't know exactly  
what the hang up is, but hope that helps some.

-steve



More information about the Numpy-discussion mailing list